Name: x11-driver-input-vmmouse
Version: 13.1.0
Release: %mkrel 1
Summary: Xorg input driver for mice in VMware
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-vmmouse-%{version}.tar.bz2
License: MIT
ExclusiveArch: %{ix86} x86_64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(systemd)

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: xorg-x11-server < 7.0

%description
The VMMouse driver enables support for the special VMMouse protocol
that is provided by VMware virtual machines to give absolute pointer
positioning.

Installing the driver will improve the user experience when using the
mouse to interact with the guest operating system. In particular, use of
the driver improves mouse "lag", provides mouse speed and acceleration
consistent with the user's host operating system, and enables the
auto-grab/ungrab feature in VMware products without requiring the VMware
toolbox application.


%prep
%setup -q -n xf86-input-vmmouse-%{version}

%build
%configure2_5x  --with-udev-rules-dir=%{_udevrulesdir}
%make

%install
%makeinstall_std

%files
%exclude %{_datadir}/hal/fdi/policy/20thirdparty/11-x11-vmmouse.fdi
%{_libdir}/hal/hal-probe-vmmouse
%{_libdir}/xorg/modules/input/vmmouse_drv.la
%{_libdir}/xorg/modules/input/vmmouse_drv.so
%{_bindir}/vmmouse_detect
%{_mandir}/man1/vmmouse_detect.*
%{_mandir}/man4/vmmouse.*
%{_datadir}/X11/xorg.conf.d/50-vmmouse.conf
%{_udevrulesdir}/69-xorg-vmmouse.rules


%changelog
* Tue Oct 13 2015 luigiwalser <luigiwalser> 13.1.0-1.mga5
+ Revision: 890331
- 13.1.0
- remove upstreamed patch
- fix udev rules location

* Fri Oct 17 2014 luigiwalser <luigiwalser> 13.0.0-10.mga5
+ Revision: 770783
- add patch to fix build with glibc 2.20

* Mon Jun 09 2014 tv <tv> 13.0.0-9.mga5
+ Revision: 634961
- submit to core/release
- HAL is dead

* Fri Jun 06 2014 tv <tv> 13.0.0-8.mga5
+ Revision: 633630
- rebuild for new xserver RC

* Fri Jun 06 2014 tv <tv> 13.0.0-7.mga5
+ Revision: 633616
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 13.0.0-6.mga5
+ Revision: 614302
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 13.0.0-5.mga5
+ Revision: 582219
- rebuild for new xserver

* Tue Dec 17 2013 colin <colin> 13.0.0-4.mga4
+ Revision: 558292
- Enable udev support mga#12013

* Sat Oct 19 2013 umeabot <umeabot> 13.0.0-3.mga4
+ Revision: 525383
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 13.0.0-2.mga4
+ Revision: 433099
- submit to core/release

* Fri May 24 2013 tv <tv> 13.0.0-1.mga4
+ Revision: 425927
- adjust file list

  + tmb <tmb>
    - fix udev rules dir
    - 13.0.0 (bugfix release)

* Mon Jan 14 2013 umeabot <umeabot> 12.9.0-5.mga3
+ Revision: 385966
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 12.9.0-4.mga3
+ Revision: 289354
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 12.9.0-3.mga3
+ Revision: 256347
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 12.9.0-2.mga3
+ Revision: 252991
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 12.9.0-1.mga3
+ Revision: 249777
- new release

* Fri Mar 09 2012 tv <tv> 12.8.0-1.mga2
+ Revision: 222177
- new release

* Tue Dec 06 2011 tmb <tmb> 12.7.0-5.mga2
+ Revision: 177444
- submit to core/release

* Sat Oct 08 2011 tv <tv> 12.7.0-4.mga2
+ Revision: 153298
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 12.7.0-3.mga2
+ Revision: 153083
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 12.7.0-2.mga1
+ Revision: 64382
- rebuild for new xserver-1.10

* Fri Mar 04 2011 tv <tv> 12.7.0-1.mga1
+ Revision: 63993
- new release

* Wed Feb 09 2011 ennael <ennael> 12.6.10-3.mga1
+ Revision: 49527
- imported package x11-driver-input-vmmouse

